<?php
// oQey Addons
// Copyright (c) 2012 oqeysites.com
// This is an add-on for oQey Gallery
// http://wordpress.org/
//
// **********************************************************************
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
// *****************************************************************

/*
Plugin Name: oQey Addons
Version: 0.1
Description: oQey Addon include all addons for the oQey Gallery, including watermark option, crop option, use the oqey galery images as featured.
Author: oqeysites.com
Author URI: http://oqeysites.com/
*/

if (!empty($_SERVER['SCRIPT_FILENAME']) && 'oqeyaddons.php' == basename($_SERVER['SCRIPT_FILENAME'])) die ('Please do not load this page directly. Thanks!');
	
define('OQEY_ABSPATH', str_replace('\\', '/', ABSPATH) );

include("oqey-addons-functions.php");
require_once(OQEY_ABSPATH . 'wp-admin/includes/plugin.php');

function oqey_addons_install(){
    global $wpdb, $wp_filesystem, $wp_roles;

	if ( !current_user_can('activate_plugins') ) 
		return;
        
    $wtmf = OQEY_ABSPATH.'wp-content/oqey_gallery/watermark/'.oqey_AddonBlogFolder($wpdb->blogid);   
    wp_mkdir_p ($wtmf); // make the watermark folder
    
    $f = OQEY_ABSPATH.'wp-content/plugins/oqey-add-ons/watermark.png';
    $nf = OQEY_ABSPATH.'wp-content/oqey_gallery/watermark/'.oqey_AddonBlogFolder($wpdb->blogid).'watermark.png';
    
    if(!is_file($nf)){
        
        copy($f, $nf);
        
    }

	$perm = get_role('administrator');	
	$perm->add_cap('oQeyCropper');
	$perm->add_cap('oQeyCropperRoles');	
    $perm->add_cap('oQeyWatermark');
    
    $settings = array();
    $settings['oqey_addons_watermark'] = "TL";
    $settings['oqey_W_X_margin'] = 10;
    $settings['oqey_W_Y_margin'] = 10;
    
    add_option("oqey_addons_watermark_settings", json_encode($settings));
   
}

if (function_exists('register_activation_hook')){
	register_activation_hook( __FILE__, 'oqey_addons_install' );
}
//.................................................................//	
function oqey_gallery_missing(){

echo '<div class="error fade" style="background-color:#E36464;">
      <p>oQey Add-ons plugin requires oQey Gallery plugin, version 0.5.4 minimum, which wasn`t detected. Please install and / or upgrade it.</p></div>';
}

function oqey_init_addons_js() {   

 if (is_plugin_active('oqey-gallery/oqeygallery.php')){ 
    
 if(is_admin() && $_GET['page']=='oQeyWatermark'){

   wp_enqueue_script('jquery');      
   wp_enqueue_script('jqueryajaxupload', WP_PLUGIN_URL . '/oqey-gallery/js/ajaxupload.js', array('jquery')); 
   wp_register_style('oQey-admin-css', WP_PLUGIN_URL . '/oqey-gallery/css/oqeyadmin.css');
   wp_enqueue_style('oQey-admin-css');
   
 }

 }else{     
    add_action( 'admin_notices', 'oqey_gallery_missing');    
 }
 
}  
 
if ( is_multisite() ) { 
    
    $wtmf = OQEY_ABSPATH.'wp-content/oqey_gallery/watermark/'.oqey_AddonBlogFolder($wpdb->blogid);   
    wp_mkdir_p ($wtmf); // make the watermark folder
    
    $settings = array();
    $settings['oqey_addons_watermark'] = "TL";
    $settings['oqey_W_X_margin'] = 10;
    $settings['oqey_W_Y_margin'] = 10;
    
    add_option("oqey_addons_watermark_settings", json_encode($settings));
    
    $f = OQEY_ABSPATH.'wp-content/plugins/oqey-add-ons/watermark.png';
    $nf = OQEY_ABSPATH.'wp-content/oqey_gallery/watermark/'.oqey_AddonBlogFolder($wpdb->blogid).'watermark.png';
    
    if(!is_file($nf)){
        
        copy($f, $nf);
        
    }

}

add_action('init', 'oqey_init_addons_js');

include("addonscore.php");
?>